/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';

.newProjectIcon {
  /* STOP */
  &.--stopPrimary {
    stop-color: #5590fc;
    stop-color: $coa-primary;
  }
  &.--stopPrimaryLight {
    stop-color: #6393ea;
    stop-color: rgba($coa-primary, 0.9);
  }
  &.--stopPrimaryLighter {
    stop-color: #729ffa;
    stop-color: rgba($coa-primary, 0.8);
  }
  &.--stopPrimaryLightest {
    stop-color: #7a9ef5;
    stop-color: rgba($coa-primary, 0.7);
  }
  &.--stopPrimaryUltraLight {
    stop-color: #7aa2f9;
    stop-color: rgba($coa-primary, 0.6);
  }
  &.--stopPrimaryUltraLighter {
    stop-color: #92b4fc;
    stop-color: rgba($coa-primary, 0.5);
  }
  &.--stopPrimaryUltraLightest {
    stop-color: #a6befd;
    stop-color: rgba($coa-primary, 0.4);
  }
  &.--stopPrimaryExtremeLight {
    stop-color: #a9c0fd;
    stop-color: rgba($coa-primary, 0.3);
  }
  &.--stopPrimaryExtremeLighter {
    stop-color: #aac1fd;
    stop-color: rgba($coa-primary, 0.2);
  }
  &.--stopPrimaryExtremeLightest {
    stop-color: #b9cffc;
    stop-color: rgba($coa-primary, 0.1);
  }

  /* FILL: */
  &.--fillPrimary {
    fill: #5590fc;
    fill: $coa-primary;
  }
  &.--fillPrimaryLight {
    fill: #6393ea;
    fill: rgba($coa-primary, 0.9);
  }
  &.--fillPrimaryLighter {
    fill: #729ffa;
    fill: rgba($coa-primary, 0.8);
  }
  &.--fillPrimaryLightest {
    fill: #7a9ef5;
    fill: rgba($coa-primary, 0.7);
  }
  &.--fillPrimaryUltraLight {
    fill: #7aa2f9;
    fill: rgba($coa-primary, 0.6);
  }
  &.--fillPrimaryUltraLighter {
    fill: #92b4fc;
    fill: rgba($coa-primary, 0.5);
  }
  &.--fillPrimaryUltraLightest {
    fill: #a6befd;
    fill: rgba($coa-primary, 0.4);
  }
  &.--fillPrimaryExtremeLight {
    fill: #a9c0fd;
    fill: rgba($coa-primary, 0.3);
  }
  &.--fillPrimaryExtremeLighter {
    fill: #aac1fd;
    fill: rgba($coa-primary, 0.2);
  }
  &.--fillPrimaryExtremeLightest {
    fill: #b9cffc;
    fill: rgba($coa-primary, 0.1);
  }

  /* STROKE: */
  &.--strokePrimary {
    stroke: #5590fc;
    stroke: $coa-primary;
  }
  &.--strokePrimaryLight {
    stroke: #6393ea;
    stroke: rgba($coa-primary, 0.9);
  }
  &.--strokePrimaryLighter {
    stroke: #729ffa;
    stroke: rgba($coa-primary, 0.8);
  }
  &.--strokePrimaryLightest {
    stroke: #7a9ef5;
    stroke: rgba($coa-primary, 0.7);
  }
  &.--strokePrimaryUltraLight {
    stroke: #7aa2f9;
    stroke: rgba($coa-primary, 0.6);
  }
  &.--strokePrimaryUltraLighter {
    stroke: #92b4fc;
    stroke: rgba($coa-primary, 0.5);
  }
  &.--strokePrimaryUltraLightest {
    stroke: #a6befd;
    stroke: rgba($coa-primary, 0.4);
  }
  &.--strokePrimaryExtremeLight {
    stroke: #a9c0fd;
    stroke: rgba($coa-primary, 0.3);
  }
  &.--strokePrimaryExtremeLighter {
    stroke: #aac1fd;
    stroke: rgba($coa-primary, 0.2);
  }
  &.--strokePrimaryExtremeLightest {
    stroke: #b9cffc;
    stroke: rgba($coa-primary, 0.1);
  }
}
